[
{ "tag": "typedef", "ns": 0, "name": "int_fast8_t", "location": "/usr/include/stdint.h:58:22", "type": { "tag": ":signed-char", "bit-size": 8, "bit-alignment": 8 } },
{ "tag": "typedef", "ns": 0, "name": "int_fast16_t", "location": "/usr/include/stdint.h:64:15", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "int_fast32_t", "location": "/usr/include/stdint.h:65:15", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "int_fast64_t", "location": "/usr/include/stdint.h:67:24", "type": { "tag": ":long-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "uint_fast8_t", "location": "/usr/include/stdint.h:71:24", "type": { "tag": ":unsigned-char", "bit-size": 8, "bit-alignment": 8 } },
{ "tag": "typedef", "ns": 0, "name": "uint_fast16_t", "location": "/usr/include/stdint.h:77:23", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "uint_fast32_t", "location": "/usr/include/stdint.h:78:23", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "uint_fast64_t", "location": "/usr/include/stdint.h:80:32", "type": { "tag": ":unsigned-long-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "intptr_t", "location": "/usr/include/stdint.h:93:15", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "uintptr_t", "location": "/usr/include/stdint.h:96:23", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "ptrdiff_t", "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stddef.h:35:26", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "size_t", "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stddef.h:46:23", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "wchar_t", "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stddef.h:74:24", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "max_align_t", "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/__stddef_max_align_t.h:24:3", "type": { "tag": "struct", "ns": 65535, "name": "", "id": 1, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/__stddef_max_align_t.h:19:9", "bit-size": 256, "bit-alignment": 128, "fields": [{ "tag": "field", "name": "__clang_max_align_nonce1", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":long-long", "bit-size": 64, "bit-alignment": 64 } }, { "tag": "field", "name": "__clang_max_align_nonce2", "bit-offset": 128, "bit-size": 128, "bit-alignment": 128, "type": { "tag": ":long-double", "bit-size": 128, "bit-alignment": 128 } }] } },
{ "tag": "typedef", "ns": 0, "name": "LLMHandle", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:16:15", "type": { "tag": ":pointer", "type": { "tag": ":void" } } },
{ "tag": "enum", "ns": 0, "name": "", "id": 2, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:22:9", "fields": [{ "tag": "field", "name": "RKLLM_RUN_NORMAL", "value": 0 }, { "tag": "field", "name": "RKLLM_RUN_WAITING", "value": 1 }, { "tag": "field", "name": "RKLLM_RUN_FINISH", "value": 2 }, { "tag": "field", "name": "RKLLM_RUN_ERROR", "value": 3 }, { "tag": "field", "name": "RKLLM_RUN_GET_LAST_HIDDEN_LAYER", "value": 4 }] },
{ "tag": "typedef", "ns": 0, "name": "LLMCallState", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:28:3", "type": { "tag": ":enum", "name": "", "id": 2 } },
{ "tag": "enum", "ns": 0, "name": "", "id": 3, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:34:9", "fields": [{ "tag": "field", "name": "RKLLM_INPUT_PROMPT", "value": 0 }, { "tag": "field", "name": "RKLLM_INPUT_TOKEN", "value": 1 }, { "tag": "field", "name": "RKLLM_INPUT_EMBED", "value": 2 }, { "tag": "field", "name": "RKLLM_INPUT_MULTIMODAL", "value": 3 }] },
{ "tag": "typedef", "ns": 0, "name": "RKLLMInputType", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:39:3", "type": { "tag": ":enum", "name": "", "id": 3 } },
{ "tag": "enum", "ns": 0, "name": "", "id": 4, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:45:9", "fields": [{ "tag": "field", "name": "RKLLM_INFER_GENERATE", "value": 0 }, { "tag": "field", "name": "RKLLM_INFER_GET_LAST_HIDDEN_LAYER", "value": 1 }] },
{ "tag": "typedef", "ns": 0, "name": "RKLLMInferMode", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:48:3", "type": { "tag": ":enum", "name": "", "id": 4 } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMLoraAdapter", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:92:3", "type": { "tag": "struct", "ns": 0, "name": "", "id": 5, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:88:9", "bit-size": 192, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "lora_adapter_path", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "lora_adapter_name", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "scale", "bit-offset": 128, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMEmbedInput", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:101:3", "type": { "tag": "struct", "ns": 0, "name": "", "id": 6, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:98:9", "bit-size": 128, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "embed", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } } }, { "tag": "field", "name": "n_tokens", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": "size_t" } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMMultiModelInput", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:120:3", "type": { "tag": "struct", "ns": 0, "name": "", "id": 7, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:116:9", "bit-size": 192, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "prompt", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "image_embed", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } } }, { "tag": "field", "name": "n_image_tokens", "bit-offset": 128, "bit-size": 64, "bit-alignment": 64, "type": { "tag": "size_t" } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMInput", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:134:3", "type": { "tag": "struct", "ns": 0, "name": "", "id": 8, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:126:9", "bit-size": 32, "bit-alignment": 32, "fields": [{ "tag": "field", "name": "input_type", "bit-offset": 0, "bit-size": 32, "bit-alignment": 32, "type": { "tag": "RKLLMInputType" } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMLoraParam", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:142:3", "type": { "tag": "struct", "ns": 0, "name": "", "id": 9, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:140:9", "bit-size": 64, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "lora_adapter_name", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMPromptCacheParam", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:151:3", "type": { "tag": "struct", "ns": 0, "name": "", "id": 10, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:148:9", "bit-size": 128, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "save_prompt_cache", "bit-offset": 0, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "prompt_cache_path", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMInferParam", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:161:3", "type": { "tag": "struct", "ns": 0, "name": "", "id": 11, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:157:9", "bit-size": 192, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "mode", "bit-offset": 0, "bit-size": 32, "bit-alignment": 32, "type": { "tag": "RKLLMInferMode" } }, { "tag": "field", "name": "lora_params", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": "RKLLMLoraParam" } } }, { "tag": "field", "name": "prompt_cache_params", "bit-offset": 128, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": "RKLLMPromptCacheParam" } } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMResultLastHiddenLayer", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:171:3", "type": { "tag": "struct", "ns": 0, "name": "", "id": 12, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:167:9", "bit-size": 128, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "hidden_states", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } } }, { "tag": "field", "name": "embd_size", "bit-offset": 64, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "num_tokens", "bit-offset": 96, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } }] } },
{ "tag": "typedef", "ns": 0, "name": "LLMResultCallback", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:190:15", "type": { "tag": ":function-pointer" } },
{ "tag": "function", "name": "rkllm_createDefaultParam", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:196:12", "variadic": false, "inline": false, "storage-class": "none", "parameters": [], "return-type": { "tag": "RKLLMParam" } },
{ "tag": "function", "name": "rkllm_init", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:205:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": ":pointer", "type": { "tag": "LLMHandle" } } }, { "tag": "parameter", "name": "param", "type": { "tag": ":pointer", "type": { "tag": "RKLLMParam" } } }, { "tag": "parameter", "name": "callback", "type": { "tag": "LLMResultCallback" } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_load_lora", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:213:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }, { "tag": "parameter", "name": "lora_adapter", "type": { "tag": ":pointer", "type": { "tag": "RKLLMLoraAdapter" } } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_load_prompt_cache", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:221:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }, { "tag": "parameter", "name": "prompt_cache_path", "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_release_prompt_cache", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:228:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_destroy", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:235:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_run", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:245:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }, { "tag": "parameter", "name": "rkllm_input", "type": { "tag": ":pointer", "type": { "tag": "RKLLMInput" } } }, { "tag": "parameter", "name": "rkllm_infer_params", "type": { "tag": ":pointer", "type": { "tag": "RKLLMInferParam" } } }, { "tag": "parameter", "name": "userdata", "type": { "tag": ":pointer", "type": { "tag": ":void" } } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_run_async", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:255:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }, { "tag": "parameter", "name": "rkllm_input", "type": { "tag": ":pointer", "type": { "tag": "RKLLMInput" } } }, { "tag": "parameter", "name": "rkllm_infer_params", "type": { "tag": ":pointer", "type": { "tag": "RKLLMInferParam" } } }, { "tag": "parameter", "name": "userdata", "type": { "tag": ":pointer", "type": { "tag": ":void" } } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_abort", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:262:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_is_running", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm.h:269:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_getPackedDefault", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/my_rkllm_server/include/rkllm-wrapper.h:11:6", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "param", "type": { "tag": ":pointer", "type": { "tag": "RKLLMParam" } } }], "return-type": { "tag": ":void" } },
{ "tag": "const", "name": "INT_FAST64_MAX", "ns": 0, "location": "/usr/include/stdint.h:170:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "UINT_FAST8_MAX", "ns": 0, "location": "/usr/include/stdint.h:173:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 255 },
{ "tag": "const", "name": "INT_FAST32_MAX", "ns": 0, "location": "/usr/include/stdint.h:168:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2147483647 },
{ "tag": "const", "name": "UINT_FAST32_MAX", "ns": 0, "location": "/usr/include/stdint.h:179:11", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "UINT_FAST64_MAX", "ns": 0, "location": "/usr/include/stdint.h:181:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -1 },
{ "tag": "const", "name": "INTPTR_MIN", "ns": 0, "location": "/usr/include/stdint.h:190:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -2147483648 },
{ "tag": "const", "name": "UINTPTR_MAX", "ns": 0, "location": "/usr/include/stdint.h:192:11", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "UINT_FAST16_MAX", "ns": 0, "location": "/usr/include/stdint.h:178:11", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "INTPTR_MAX", "ns": 0, "location": "/usr/include/stdint.h:191:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2147483647 },
{ "tag": "const", "name": "PTRDIFF_MIN", "ns": 0, "location": "/usr/include/stdint.h:216:12", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -2147483648 },
{ "tag": "const", "name": "SIG_ATOMIC_MIN", "ns": 0, "location": "/usr/include/stdint.h:222:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -2147483648 },
{ "tag": "const", "name": "INTMAX_MIN", "ns": 0, "location": "/usr/include/stdint.h:197:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "UINTMAX_MAX", "ns": 0, "location": "/usr/include/stdint.h:202:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -1 },
{ "tag": "const", "name": "PTRDIFF_MAX", "ns": 0, "location": "/usr/include/stdint.h:217:12", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2147483647 },
{ "tag": "const", "name": "INTMAX_MAX", "ns": 0, "location": "/usr/include/stdint.h:199:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "WCHAR_MIN", "ns": 0, "location": "/usr/include/stdint.h:239:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "SIZE_MAX", "ns": 0, "location": "/usr/include/stdint.h:232:12", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "false", "ns": 0, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stdbool.h:17:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "SIG_ATOMIC_MAX", "ns": 0, "location": "/usr/include/stdint.h:223:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2147483647 },
{ "tag": "const", "name": "WCHAR_MAX", "ns": 0, "location": "/usr/include/stdint.h:240:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "true", "ns": 0, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stdbool.h:16:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__bool_true_false_are_defined", "ns": 0, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stdbool.h:29:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "NULL", "ns": 0, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stddef.h:89:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "INT16_MIN", "ns": 0, "location": "/usr/include/stdint.h:117:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -32768 },
{ "tag": "const", "name": "INT32_MIN", "ns": 0, "location": "/usr/include/stdint.h:118:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -2147483648 },
{ "tag": "const", "name": "INT8_MIN", "ns": 0, "location": "/usr/include/stdint.h:116:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -128 },
{ "tag": "const", "name": "INT64_MIN", "ns": 0, "location": "/usr/include/stdint.h:119:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "INT16_MAX", "ns": 0, "location": "/usr/include/stdint.h:122:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 32767 },
{ "tag": "const", "name": "INT8_MAX", "ns": 0, "location": "/usr/include/stdint.h:121:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 127 },
{ "tag": "const", "name": "INT32_MAX", "ns": 0, "location": "/usr/include/stdint.h:123:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2147483647 },
{ "tag": "const", "name": "INT64_MAX", "ns": 0, "location": "/usr/include/stdint.h:124:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "UINT8_MAX", "ns": 0, "location": "/usr/include/stdint.h:127:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 255 },
{ "tag": "const", "name": "UINT16_MAX", "ns": 0, "location": "/usr/include/stdint.h:128:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 65535 },
{ "tag": "const", "name": "UINT32_MAX", "ns": 0, "location": "/usr/include/stdint.h:129:10", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "UINT64_MAX", "ns": 0, "location": "/usr/include/stdint.h:130:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -1 },
{ "tag": "const", "name": "INT_LEAST8_MIN", "ns": 0, "location": "/usr/include/stdint.h:134:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -128 },
{ "tag": "const", "name": "INT_LEAST16_MIN", "ns": 0, "location": "/usr/include/stdint.h:135:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -32768 },
{ "tag": "const", "name": "INT_LEAST32_MIN", "ns": 0, "location": "/usr/include/stdint.h:136:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -2147483648 },
{ "tag": "const", "name": "INT_LEAST64_MIN", "ns": 0, "location": "/usr/include/stdint.h:137:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "INT_LEAST8_MAX", "ns": 0, "location": "/usr/include/stdint.h:139:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 127 },
{ "tag": "const", "name": "INT_LEAST16_MAX", "ns": 0, "location": "/usr/include/stdint.h:140:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 32767 },
{ "tag": "const", "name": "INT_LEAST32_MAX", "ns": 0, "location": "/usr/include/stdint.h:141:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2147483647 },
{ "tag": "const", "name": "UINT_LEAST16_MAX", "ns": 0, "location": "/usr/include/stdint.h:146:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 65535 },
{ "tag": "const", "name": "INT_LEAST64_MAX", "ns": 0, "location": "/usr/include/stdint.h:142:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "UINT_LEAST32_MAX", "ns": 0, "location": "/usr/include/stdint.h:147:10", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "UINT_LEAST64_MAX", "ns": 0, "location": "/usr/include/stdint.h:148:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -1 },
{ "tag": "const", "name": "UINT_LEAST8_MAX", "ns": 0, "location": "/usr/include/stdint.h:145:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 255 },
{ "tag": "const", "name": "INT_FAST8_MIN", "ns": 0, "location": "/usr/include/stdint.h:152:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -128 },
{ "tag": "const", "name": "INT_FAST16_MIN", "ns": 0, "location": "/usr/include/stdint.h:157:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -2147483648 },
{ "tag": "const", "name": "INT_FAST32_MIN", "ns": 0, "location": "/usr/include/stdint.h:158:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -2147483648 },
{ "tag": "const", "name": "INT_FAST8_MAX", "ns": 0, "location": "/usr/include/stdint.h:162:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 127 },
{ "tag": "const", "name": "INT_FAST16_MAX", "ns": 0, "location": "/usr/include/stdint.h:167:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2147483647 },
{ "tag": "const", "name": "INT_FAST64_MIN", "ns": 0, "location": "/usr/include/stdint.h:160:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "WINT_MIN", "ns": 0, "location": "/usr/include/stdint.h:244:10", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "WINT_MAX", "ns": 0, "location": "/usr/include/stdint.h:245:10", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "__GCC_HAVE_DWARF2_CFI_ASM", "ns": 0, "location": "<command line>:1:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "bool", "ns": 0, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stdbool.h:15:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "_STDINT_H", "ns": 0, "location": "/usr/include/stdint.h:23:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 }
]
